<?php

namespace Tests\Feature;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;
use App\Models\UserModel;
use Database\Factories\profileFactory;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Collection;


class profile extends TestCase
{
    /**
     * A basic feature test example.
     */
    public function testGetUserprofileMethod()
    {
        // Mendapatkan data pengguna
        $users = UserModel::get_user();

        // Memastikan bahwa data yang dikembalikan adalah instance dari Collection
        $this->assertInstanceOf(Collection::class, $users);

        // Memastikan bahwa jumlah pengguna sesuai dengan yang diharapkan
        $this->assertCount(5, $users);

        // Memeriksa setiap pengguna
        foreach ($users as $user) {
            $this->assertInstanceOf(UserModel::class, $user);
            // Tambahkan assertion untuk memeriksa apakah atribut tidak kosong dan tidak NULL

            $this->assertNotEmpty($user->nama);
            $this->assertNotEmpty($user->email);
            $this->assertNotEmpty($user->username);
            $this->assertNotEmpty($user->password);
            // Tambahkan assertion untuk memeriksa apakah atribut tidak NULL
            $this->assertNotNull($user->nama);
        }
    }

}